| tmr_manager Vitis Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

Functions
xtmr_manager_intr_tapp_example.c File Reference

## Overview

This file contains a design example using the TMR_Manager driver and hardware device using the interrupt mode for transmission of data.

Note

None.

    MODIFICATION HISTORY:

    Ver   Who  Date  Changes

    1.0   sa   04/05/17 First release
    1.3     adk  31/01/22 Updated the example independent of SEM IP hardware
                          configuration.
    1.7   adk  04/04/25 Ported example to the SDT flow.

## Functions
int | TMR_ManagerIntrExample (INTC *IntcInstancePtr, XTMR_Manager *TMR_ManagerInstPtr, u16 TMR_ManagerDeviceId, u16 TMR_ManagerIntrId)
| This function does a minimal test on the TMR_Manager device and driver as a design example. More...
int | main (void)
| Main function to call the TMR_Manager interrupt example. More...

## Function Documentation

int main | ( | void |  | ) |

Main function to call the TMR_Manager interrupt example.

Parameters

  None. |

Returns
  XST_SUCCESS if successful, else XST_FAILURE.

Note
  None.

References TMR_ManagerIntrExample().

int TMR_ManagerIntrExample | ( | INTC * | IntcInstancePtr,
|  | XTMR_Manager * | TMR_ManagerInstPtr,
|  | u16 | TMR_ManagerDeviceId,
|  | u16 | TMR_ManagerIntrId
| ) |  |

This function does a minimal test on the TMR_Manager device and driver as a design example.

The purpose of this function is to illustrate how to use the XTMR_Manager component.

This function sends data through the TMR_Manager.

This function uses the interrupt driver mode of the TMR_Manager. The calls to the TMR_Manager driver in the interrupt handlers, should only use the non-blocking calls.

Parameters

  IntcInstancePtr | is a pointer to the instance of INTC driver.
  TMR_ManagerInstPtr | is a pointer to the instance of TMR_Manager driver.
  TMR_ManagerDeviceId | is the Device ID of the TMR_Manager Device and is the XPAR_<TMR_MANAGER_instance>_DEVICE_ID value from xparameters.h.
  TMR_ManagerIntrId | is the Interrupt ID and is typically XPAR_<INTC_instance>_<TMR_MANAGER_instance>_VEC_ID value from xparameters.h.

Returns
  XST_SUCCESS if successful, otherwise XST_FAILURE.

Note
  None.

This function contains an infinite loop such that if interrupts are not working it may never return.

References XTMR_Manager_EnableInterrupt(), XTMR_Manager_Initialize(), and XTMR_Manager_SelfTest().